com.r3corda.node.services.messaging / RPCDispatcher

# RPCDispatcher

`abstract class RPCDispatcher`

Intended to service transient clients only (not p2p nodes) for short-lived, transient request/response pairs. If you need robustness, this is the wrong system. If you dont want a response, this is probably the wrong system (you could just send a message). If you want complex customisation of how requests/responses are handled, this is probably the wrong system.

### Constructors

<init> | `RPCDispatcher(target: Any)` Intended to service transient clients only (not p2p nodes) for short-lived, transient request/response pairs. If you need robustness, this is the wrong system. If you dont want a response, this is probably the wrong system (you could just send a message). If you want complex customisation of how requests/responses are handled, this is probably the wrong system.

### Properties

target | `val target: Any`

### Functions

dispatch | `fun dispatch(msg: ClientRPCRequestMessage): Unit`
send | `abstract fun send(bits: SerializedBytes<*>, toAddress: String): Unit`
start | `fun start(rpcConsumer: <ERROR CLASS>, rpcNotificationConsumer: <ERROR CLASS>?, onExecutor: AffinityExecutor): Unit`